You need to upgrade the module named "threads", use cpan from your shell to install the latest version of the threads module.